Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicListUI.ListSelectionHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicListUI.ListSelectionHandler

All Implemented Interfaces:
  EventListener, ListSelectionListener

Enclosing class:
  BasicListUI

public class BasicListUI.ListSelectionHandler
extends Object
implements ListSelectionListener

The ListSelectionListener that's added to the JLists selection model at installUI time, and whenever the JList.selectionModel property changes. When the selection changes we repaint the affected rows.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `BasicListUI.createListSelectionListener()`, `BasicListUI.getCellBounds(javax.swing.JList, int, int)`, `BasicListUI.installUI(javax.swing.JComponent)`

Constructor Summary
`BasicListUI.ListSelectionHandler()`

Method Summary
`void` | `valueChanged(ListSelectionEvent e)` Called whenever the value of the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicListUI.ListSelectionHandler

    public BasicListUI.ListSelectionHandler()

Method Detail

### valueChanged

    public void valueChanged(ListSelectionEvent e)

  Description copied from interface: `ListSelectionListener`
  Called whenever the value of the selection changes.
  Specified by:
    `valueChanged` in interface `ListSelectionListener`
  Following copied from interface: `javax.swing.event.ListSelectionListener`
  Parameters:
    `e` - the event that characterizes the change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.